#include <iostream>

using namespace std;

int main()
{
    int n,k,x;
    cin >> n >> k >> x;
    int m=k,q=n;
    while(m>=q)
    {
        m-=q;
        q--;
    }
    if(n>k) q=k;
    int s=(n*(n-1))/2 - ((q-1)*(q-2))/2;
    for(int i=0;i<q-m;i++) cout << 1 << " ";
    for(int i=0;i<m;i++) cout << 2 << " ";
    int brojac=q;
    for(int i=2+x;brojac<s;i+=x)
    {
        cout << i << " ";
        brojac++;
    }
    return 0;
}